Keep track of your piggy bank.


Every time you put coins in or take them out of your piggy bank, write here down
how much did you put or take. So you won't have to spend time to count them when
you decide to take them all out.

Yes, only coins, no banknots. Well, you actually can easily add support for
banknots, but table will become indeed wide.

# Usage

This is a CLI program that is broken down to three separate programs:

- `piggybank-put` &mdash; puts coins in a piggy bank and create a new one if
  there is no such file;
- `piggybank-take` &mdash; takes coins from an existsing piggy bank file;
- `piggybank-show` &mdash; shows summarised information on a piggy bank and,
optionally, print a list of transactions.

## Common flags

```bash
piggybank-* [(-h | --help) | (-v | --version) | --list-currencies]
```

Those three flags are very self-explanatory. The first one will print the help.
The second &mdash; version and license. And the last one will print all
supported currencies. They are not combinable.

## How to put coins in

```bash
piggybank-put <file> [-r | --reverse] <coins> [(-c | --currency) <currency>]
```

Here's how to put coins in a piggybank file. It will also create a file if it
doesn't exist.

<file> is a name of a piggy bank file wich may not have a .pb extension at the
end, it will be added automatically.

<coins> is a set of coins' counts separated with space character. For example:
0 0 0 5 0 4 6 7. By default trailing zeroes will be added from the
left. So if you wrote something like 6 0 5 12 then it will be complemented to
0 0 0 0 6 0 5 12 if currency has 8 coins.

--reverse flag reverses the order of coins. By default they come from least
significant face value to the most significant one and as stated above being
complemented from left so a set shorter than number of coins in a currency,
e.g. 5 8 4 will be interpreted as 0 0 0 0 0 5 8 4. And this flag will make it
to be interpreted as 5 8 4 0 0 0 0 0. It is convenient if you want to add only
coins of low face value (e.g. cents or kopeks).

--currency parameter specifies the currency of a new piggy bank. It will not
change currency of an existing piggy bank.

### Examples:

    piggybank-put example.pb 7 4 3 0 5 -c euro
    piggybank-put example -r 0 4 6

## How to take coins out

```bash
piggybank-take <file> [-r | --reverse] <coins>
```

All the parameters are explained above. `--currency` flag is not applicable
here. It just takes coins out rather putting them in.

### Examples:

```bash
piggybank-take example.pb -r 0 0 4
```

## How to see what do you have

    piggybank-show <file> [-t | --transactions]

Without -t flag only summarised information will be printed. --transactions flag
tells the program to print out all the transactions stored in a piggy bank.

### Examples:

```bash
piggybank-show example.pb -t
```